# $Revision: 1.11.2.2 $, $Date: 2006/08/11 23:10:10 $
Summary:	Fast and lightweight IDE using GTK+2
Summary(pl):	Szybkie i lekkie IDE uywajce GTK+2
Name:		geany
Version:	0.8
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/geany/%{name}-%{version}.tar.bz2
# Source0-md5:	adffe7b71983f897eec449d50312f2c8
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-doc_dir.patch
URL:		http://geany.uvena.de/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	vte-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geany is a small and lightweight integrated development environment.
It was developed to provide a small and fast IDE, which has only a few
dependencies from other packages. Another goal was to be as
independent as possible from a special Desktop Environment like KDE or
GNOME.

Basic features of Geany
- syntax highlighting
- code completion
- auto completion of often used constructs like if, for and while
- auto completion of XML and HTML tags
- call tips
- many supported filetypes like C, Java, PHP, HTML, Python, Perl,
  Pascal
- symbol lists

%description -l pl
Geany jest maym i lekkim zintegrowanym rodowiskiem programistycznym.
Zosta napisany z myl o byciu maym i szybkim IDE, z ma liczb
zalenoci od innych pakietw. Kolejnym, przywiecajcym tworzeniu go
celem byo maksymalne uniezalenienie od konkretnego rodowiska
graficznego jak KDE czy GNOME.

Podstawowe cechy Geany to:
- podwietlanie skadni
- uzupenianie kodu
- automatyczne uzupenianie czsto uywanych konstrukcji jak if, for
  i while
- automatyczne uzupenianie znacznikw XML i HTML
- wywietlanie podpowiedzi
- wiele wspieranych typw plikw jak C, Java, PHP, Python, Perl,
  Pascal
- wykazy symboli

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__glib_gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO scintilla/License.txt
%attr(755,root,root) %{_bindir}/geany
%{_desktopdir}/geany.desktop
%{_datadir}/%{name}
%{_pixmapsdir}/geany.png
%{_mandir}/man1/geany.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: geany.spec,v $
Revision 1.11.2.2  2006/08/11 23:10:10  havner
- 0.8

Revision 1.11.2.1  2006/07/24 17:55:31  freetz
- 0.7.1 for Ac

Revision 1.11  2006/06/04 22:47:57  aredridel
- 0.7

Revision 1.10  2006/05/01 11:19:52  freetz
- 0.6

Revision 1.9  2006/02/02 15:06:33  freetz
- more BR

Revision 1.8  2006/02/02 14:59:22  freetz
- 0.5

Revision 1.7  2005/12/22 18:09:29  freetz
- 0.4, run glib-gettextize

Revision 1.6  2005/11/24 23:17:19  qboosh
- pl cosmetics

Revision 1.5  2005/11/24 08:59:20  darekr
- BR: ac, am

Revision 1.4  2005/11/22 21:11:53  freetz
- more BR

Revision 1.3  2005/11/22 21:08:13  freetz
- pl, fixed summary/desription

Revision 1.2  2005/11/22 20:30:42  paladine
- adapterized
- cleanups
- added doc_dir and desktop patch
- proper license
- more BRs
- package locales
- rel. 2

Revision 1.1  2005/11/21 05:52:07  aredridel
- added
